#region Copyright
/*
Copyright (c) 2008 EPiServer AB.  All rights reserved.

This code is released by EPiServer AB under the Source Code File - Specific License Conditions, published August 20, 2007. 
See http://www.episerver.com/Specific_License_Conditions for details. 
*/
#endregion


using System;
using EPiServer.Core;
using EPiServer.Globalization;
using EPiServer.Templates.Public;

namespace EPiServer.Templates.Demo.MasterPages
{
    /// <summary>
    /// The masterpage defines the common look and feel and a standard behavior of the website. 
    /// </summary>
    public partial class MasterPage : System.Web.UI.MasterPage
    {
		private const string _title = "{0}{1}{2}";
		private string _titleSeparator = " - ";

        /// <summary>
        /// Gets or sets the title separator.
        /// </summary>
		public string TitleSeparator
		{
			get { return _titleSeparator; }
			set { _titleSeparator = value; }
		}

        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Load"/> event.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"/> object that contains the event data.</param>
        protected override void OnLoad(System.EventArgs e)
        {
            base.OnLoad(e);

            if (SubMenu != null && MainMenu != null)
            {
                SubMenu.MenuList = MainMenu.MenuList;
            }
			PageBase page = (PageBase) Page;
            Page.Title = string.Format(_title, page.CurrentPage.PageName, TitleSeparator, Configuration.Settings.Instance.SiteDisplayName);

            this.HtmlElement.Attributes["lang"] = page.CurrentPage.LanguageBranch;
        }

    }
}