<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" Codebehind="Calendar.aspx.cs" Inherits="EPiServer.Templates.Demo.Pages.Calendar" %>

<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">
    <div class="contentAreaHalf contentAreaFirst">
        <div class="container">
            <div class="containerContentText">
                <asp:Panel ID="DisplayPeriod" runat="server">
                    <h1><EPiServer:Property PropertyName="PageName" runat="server" /></h1>
                    <EPiServer:Property PropertyName="MainBody" runat="server" />
                
                    <div class="calendarList">
                        <h1>
                            <asp:literal runat="server" Text="<%$ Resources: EPiServer, workroom.calendar.selectedperiod %>" />
                            <span style="white-space:nowrap"><%= GetSelectedPeriod() %></span>
                        </h1>
            	        
                        <EPiServer:Calendar ID="CalendarList" PageLinkProperty="CalendarItemContainer" NumberOfDaysToRender='<%# CurrentPage["nDaysToRender"] %>' runat="server">
                            <DayPrefixTemplate>
                                <h2><%#Container.DayName%>, <%#Container.DayOfMonth%> <%#Container.MonthName%></h2>
                            </DayPrefixTemplate>
                            <EventTemplate>
	                            <div class="calendarListEventItem">
	                                <asp:Label Text="<%# GetTextAndUpdateLabelProperties(Container) %>" ID="EventDate" runat="server" />
	                                <h1>
	                                    <asp:LinkButton OnCommand="LinkButton_Command" CommandArgument='<%# Container.CurrentPage.PageLink.ID %>' runat="server">
		                                    <EPiServer:Property PropertyName="PageName" runat="server" />
                                        </asp:LinkButton>
	                                </h1>
                                </div>
                            </EventTemplate>
                        </EPiServer:Calendar>
                    </div>
                </asp:Panel>
                <asp:Panel ID="DisplayEvent" Visible="false" runat="server">
                    <h1><episerver:property ID="EventPageName" PropertyName="PageName" runat="server" /></h1>
                    <p><strong><asp:Literal ID="EventDate" runat="server" /></strong></p>
                    <episerver:property ID="EventMainBody" PropertyName="MainBody" runat="server" />
                </asp:Panel>
            </div>
        </div>
	</div>
    
    <div class="contentAreaHalf">
        <div class="container">
            <div class="containerCaption">
                <h1>
                    <EPiServer:Property PropertyName="PageName" Editable="false" runat="server" />
                </h1>
            </div>
            <div class="containerContent" style="padding: 0 10px 10px 4px;">
                <asp:Calendar ID="CalendarView" PrevMonthText="-" NextMonthText="+" BorderWidth="0" CssClass="calendar" runat="server" SelectionMode="DayWeekMonth" CellPadding="0" CellSpacing="0" BorderStyle="NotSet">
                    <TitleStyle BackColor="Transparent" BorderStyle="None" CssClass="title" BorderWidth="0" />
                    <DayHeaderStyle HorizontalAlign="NotSet" BorderStyle="Notset" />
                    <DayStyle HorizontalAlign="NotSet" ForeColor="#606060" />
                    <SelectedDayStyle CssClass="selected" BackColor="#ebf0f3" ForeColor="#606060" />
                    <TodayDayStyle Font-Bold="true" />
                    <OtherMonthDayStyle ForeColor="#aaaaaa" />
                    <SelectorStyle BorderWidth="0" CssClass="selector" />
                </asp:Calendar>
            </div>
        </div>
    </div>
    
    <%--
        MonthlyItems is a hidden calendar list used to calculate what days to highlight in CalenderView.
    --%>
    <EPiServer:Calendar runat="server" ID="MonthlyItems" PageLinkProperty="CalendarItemContainer">
        <EventTemplate>
        </EventTemplate>
    </EPiServer:Calendar>
    
</asp:Content>
