#region Copyright
/*
Copyright (c) 2008 EPiServer AB.  All rights reserved.

This code is released by EPiServer AB under the Source Code File - Specific License Conditions, published August 20, 2007. 
See http://www.episerver.com/Specific_License_Conditions for details. 
*/
#endregion

#region Known Limitations
/*
The template has the following known limitations:
 
- Usability limitations
Requires javascript to be enabled on the client.
Lack of usability since the user can not prevent/pause the update of page content.
*/
#endregion

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

using EPiServer;

namespace EPiServer.Templates.Demo.Pages
{
	/// <summary>
	/// PageRoller loads a user control that displays 
    /// PageName and MainBody properties of other pages.
	/// </summary>
	public partial class PageRoller : TemplatePage
	{
        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Load"/> event.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"/> object that contains the event data.</param>
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            PageHeading.Visible = !String.IsNullOrEmpty(CurrentPage["Heading"] as String);
        }
    }
}