#region Copyright
/*
Copyright (c) 2008 EPiServer AB.  All rights reserved.

This code is released by EPiServer AB under the Source Code File - Specific License Conditions, published August 20, 2007. 
See http://www.episerver.com/Specific_License_Conditions for details. 
*/
#endregion

#region Known Limitations
/*
The template has the following known limitations:

Usability, Browser and Design limitations
Due to Microsofts implementation of WebParts this template has limited support for non Internet Explorer browsers 
and for Internet Explorer version 5 and older. The Drag and drop implementation does not factor in the scrolling of the page.
WebParts also renders table elements for design purposes and deprecated design attributes on these elements which
makes it impossible to properly set the desired design. The usability is also affected negatively.
*/
#endregion

using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using EPiServer;

namespace EPiServer.Templates.Demo.WebParts.Pages
{
    /// <summary>
    /// Displays two WebPartZones with drag and drop
    /// functionality of RSS URI's and catalog and editor zones
    /// allowing for adding and making changes to webparts
    /// </summary>
    public partial class Portal : TemplatePage
    {
        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Load"/> event.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"/> object that contains the event data.</param>
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            
            // css hack to uncenter the drop element content
            Page.Header.StyleSheet.CreateStyleRule(new TextAlignLeftStyle(), Page, String.Format("#{0}___Drag", this.WebPartManager.ClientID));

            //Toggles access to shared scope 
            ScopeLabel.Visible = ScopeDropDown.Visible = this.WebPartManager.Personalization.CanEnterSharedScope;
        }

        /// <summary>
        /// The Style class does not provide a property for text-align.
        /// This derived class adds text-align left.
        /// </summary>
        private class TextAlignLeftStyle : Style
        {
            protected override void FillStyleAttributes(CssStyleCollection attributes, IUrlResolutionService urlResolver)
            {
                base.FillStyleAttributes(attributes, urlResolver);
                attributes[HtmlTextWriterStyle.TextAlign] = "left";
            }
        }
    }
}
