<%@ Page Language="C#" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="WorkroomList.aspx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Pages.WorkroomList" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">
	<div class="contentAreaWide contentAreaFirst">
        <asp:Panel runat="server" ID="WorkroomListPanel" CssClass="container">
            <div class="containerCaption">
                <div class="containerToolbar">
                    <asp:LinkButton ID="ShowCreatePanelButton" CssClass="createButton" OnClick="ToggleView_click" runat="server" Text="<%$ Resources: EPiServer, button.add %>" Visible="false" CausesValidation="false" />
                </div>
                <h1><%= Translate("/workroom/workroomlist/viewheading") %></h1>
            </div>
            <div class="containerContent">
                <EPiServer:PageList runat="server" ID="WorkroomPageList" DataSource='<%# Workrooms %>' Paging="true" PagesPerPagingItem="10">
                    <HeaderTemplate><ul class="workroomList"></HeaderTemplate>
                    <ItemTemplate>
                        <li><a href="<%# Container.CurrentPage.LinkURL %>"><img src='<%# Container.CurrentPage["WorkroomIcon"] ?? "../../Styles/Default/Images/workroom_default.png" %>' alt='<%# Server.HtmlEncode(Container.CurrentPage.PageName) %>' /><span><%# Server.HtmlEncode(Container.CurrentPage.PageName) %></span></a></li>
                    </ItemTemplate>
                    <FooterTemplate></ul></FooterTemplate>
                </EPiServer:PageList>
            </div>
        </asp:Panel>
        
        <asp:Panel runat="server" ID="NewWorkroomPanel" CssClass="container">
            <div class="containerCaption">
                <h1><%= Translate("/workroom/workroomlist/createheading") %></h1>
            </div>
            <div class="containerContent createWorkroom">
                <asp:ValidationSummary CssClass="validation" runat="server" />
                <div>
                    <asp:label runat="server" AssociatedControlID="NewWorkroomName" Text="<%$ Resources: EPiServer, workroom.workroomlist.namelabel %>" />
                    <asp:TextBox runat="server" CssClass="name" ID="NewWorkroomName" />
                    <asp:RequiredFieldValidator runat="server" ControlToValidate="NewWorkroomName" EnableClientScript="true" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.workroomlist.nameempty %>" />
                    <asp:CustomValidator runat="server" ControlToValidate="NewWorkroomName" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.workroomlist.duplicatename %>" ID="WorkroomNameValidator" OnServerValidate="ValidateName" />
                </div>
                <div>
                    <asp:label runat="server" AssociatedControlID="SelectTemplateDropDown" Text="<%$ Resources: EPiServer, workroom.workroomlist.templatelabel %>" />
                    <asp:DropDownList runat="server" ID="SelectTemplateDropDown" AutoPostBack="true"/>
                    <asp:Label runat="server" CssClass="templateDescription" ID="DescriptionLabel" />
                </div>
                <div class="buttons">
                    <asp:Button CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.create %>" OnClick="CreateNewWorkroom_click" />
                    <asp:Button CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="ToggleView_click" CausesValidation="false" />
                </div>
            </div>
        </asp:Panel>
	</div>
    
    <div class="contentAreaNarrow">
	    <div class="container">
	        <div class="containerContentText">
	            <h2><EPiServer:Property runat="server" PropertyName="Heading" /></h2>
		        <EPiServer:Property runat="server" PropertyName="MainBody" />
		    </div>
		</div>
    </div>
</asp:Content>